Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513396 - Review request: octavia-dashboard
Summary: Review request: octavia-dashboard
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1526999
TreeView+ depends on / blocked
 
Reported: 2017-11-15 10:34 UTC by Nir Magnezi
Modified: 2018-01-23 13:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 13:59:18 UTC
amoralej: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10524 None None None 2017-11-15 11:03:48 UTC
RDO 11033 None None None 2017-12-17 14:20:13 UTC
RDO 11080 None None None 2017-12-21 22:33:26 UTC

Description Nir Magnezi 2017-11-15 10:34:35 UTC
Description of problem:
We have a new repo https://github.com/openstack/octavia-dashboard which is the Horizon plugin for Octavia.
We should package the repo for RDO.

Comment 1 Nir Magnezi 2017-11-15 10:46:41 UTC
Package Name: octavia-dashboard
Summary: Horizon panels for Octavia
Project Url: https://github.com/openstack/octavia-dashboard

Comment 2 Alfredo Moralejo 2017-11-15 11:51:08 UTC
Full licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.eslintrc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel-django.cfg: *No copyright* UNKNOWN
./babel-djangojs.cfg: *No copyright* UNKNOWN
./manage.py: *No copyright* Apache (v2.0)
./package.json: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/README.rst: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* UNKNOWN
./devstack/settings: *No copyright* UNKNOWN
./octavia_dashboard/__init__.py: *No copyright* Apache (v2.0)
./octavia_dashboard/karma.conf.js: Apache (v2.0)
./octavia_dashboard/post_install.sh: *No copyright* UNKNOWN
./tools/tox_install.sh: *No copyright* UNKNOWN
./zuul.d/jobs.yaml: *No copyright* UNKNOWN
./zuul.d/projects.yaml: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./octavia_dashboard/enabled/_1482_project_load_balancer_panel.py: Apache (v2.0)
./octavia_dashboard/tests/base.py: Apache (v2.0)
./octavia_dashboard/tests/settings.py: *No copyright* Apache (v2.0)
./octavia_dashboard/tests/test_octavia_dashboard.py: *No copyright* Apache (v2.0)
./octavia_dashboard/tests/urls.py: *No copyright* Apache (v2.0)
./releasenotes/notes/bp-horizon-lbaas-v2-ui-ba7e4c97a0460f85.yaml: *No copyright* UNKNOWN
./octavia_dashboard/api/rest/__init__.py: Apache (v2.0)
./octavia_dashboard/api/rest/barbican.py: Apache (v2.0)
./octavia_dashboard/api/rest/lbaasv2.py: Apache (v2.0)
./octavia_dashboard/tests/integration_tests/horizon.conf: *No copyright* UNKNOWN
./playbooks/legacy/octavia-dashboard-nodejs4-npm-run-lint/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/octavia-dashboard-nodejs4-npm-run-lint/run.yaml: *No copyright* UNKNOWN
./playbooks/legacy/octavia-dashboard-nodejs4-npm-run-test/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/octavia-dashboard-nodejs4-npm-run-test/run.yaml: *No copyright* UNKNOWN
./tools/gate/integration/commons: *No copyright* UNKNOWN
./tools/gate/integration/post_test_hook.sh: *No copyright* UNKNOWN
./tools/gate/integration/pre_test_hook.sh: *No copyright* UNKNOWN
./octavia_dashboard/dashboards/project/load_balancer/__init__.py: Apache (v2.0)
./octavia_dashboard/dashboards/project/load_balancer/panel.py: Apache (v2.0)
./octavia_dashboard/dashboards/project/load_balancer/urls.py: Apache (v2.0)
./octavia_dashboard/dashboards/project/load_balancer/views.py: Apache (v2.0)
./octavia_dashboard/locale/de/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/de/LC_MESSAGES/djangojs.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/en_GB/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/fr/LC_MESSAGES/django.po: UNKNOWN
./octavia_dashboard/locale/id/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/id/LC_MESSAGES/djangojs.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/ja/LC_MESSAGES/django.po: UNKNOWN
./octavia_dashboard/locale/ja/LC_MESSAGES/djangojs.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/ko_KR/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/ru/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/ru/LC_MESSAGES/djangojs.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/zh_CN/LC_MESSAGES/django.po: *No copyright* UNKNOWN
./octavia_dashboard/locale/zh_CN/LC_MESSAGES/djangojs.po: *No copyright* UNKNOWN
./octavia_dashboard/tests/integration_tests/tests/test_loadbalancers.py: *No copyright* Apache (v2.0)
./octavia_dashboard/static/app/core/openstack-service-api/barbican.service.js: Apache (v2.0)
./octavia_dashboard/static/app/core/openstack-service-api/barbican.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/app/core/openstack-service-api/lbaasv2.service.js: Apache (v2.0)
./octavia_dashboard/static/app/core/openstack-service-api/lbaasv2.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/lbaasv2.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/lbaasv2.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/lbaasv2.scss: Apache (v2.0)
./octavia_dashboard/dashboards/project/load_balancer/templates/load_balancer/index.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/detail.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/detail.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/detail.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/healthmonitors.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/healthmonitors.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/detail.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/detail.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/detail.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/listeners.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/listeners.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/table.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/table.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/table.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/detail.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/detail.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/detail.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/loadbalancers.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/loadbalancers.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/loadbalancers.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/loadbalancers.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/table.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/table.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/table.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/members/detail.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/detail.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/detail.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/members/members.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/members.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/table.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/table.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/table.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/detail.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/detail.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/detail.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/pools.module.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/pools.module.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/modal.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/modal.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/model.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/model.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/workflow.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/workflow.service.spec.js: Apache (v2.0)
./octavia_dashboard/tests/integration_tests/pages/project/network/loadbalancerspage.py: *No copyright* Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/row-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/row-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/batch-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/batch-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/row-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/row-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/batch-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/batch-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/row-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/row-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/batch-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/batch-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/row-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/row-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/row-actions.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/row-actions.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/util/validators/validate-unique.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/util/validators/validate-unique.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/detail/detail-status.directive.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/detail/detail-status.directive.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/detail/detail-status.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/table/table-status.directive.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/table/table-status.directive.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/widgets/table/table-status.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/certificates/certificates.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/certificates/certificates.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/certificates/certificates.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/certificates/certificates.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/listener/listener.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/listener/listener.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/listener/listener.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/listener/listener.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/loadbalancer/loadbalancer.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/loadbalancer/loadbalancer.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/loadbalancer/loadbalancer.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/loadbalancer/loadbalancer.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/members/members.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/members/members.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/members/members.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/members/members.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/monitor/monitor.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/monitor/monitor.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/monitor/monitor.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/monitor/monitor.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/pool/pool.help.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/workflow/pool/pool.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/create/create.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/create/create.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/create/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/create/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/delete/delete.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/delete/delete.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/edit/edit.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/edit/edit.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/edit/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/healthmonitors/actions/edit/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/create/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/create/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/delete/delete.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/delete/delete.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/edit/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/listeners/actions/edit/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/associate-ip/modal.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/associate-ip/modal.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/associate-ip/modal.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/associate-ip/modal.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/associate-ip/modal.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/create/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/create/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/delete/delete.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/delete/delete.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/disassociate-ip/modal.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/disassociate-ip/modal.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/edit/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/loadbalancers/actions/edit/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/edit-weight/modal.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/edit-weight/modal.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/edit-weight/modal.html: *No copyright* UNKNOWN
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/edit-weight/modal.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/edit-weight/modal.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/update-list/update-member-list.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/update-list/update-member-list.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/update-list/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/members/actions/update-list/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/create/create.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/create/create.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/create/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/create/wizard.controller.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/delete/delete.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/delete/delete.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/edit/edit.action.service.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/edit/edit.action.service.spec.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/edit/wizard.controller.js: Apache (v2.0)
./octavia_dashboard/static/dashboard/project/lbaasv2/pools/actions/edit/wizard.controller.spec.js: Apache (v2.0)


License is valid Apache v2.0

Comment 3 Nir Magnezi 2017-12-17 14:20:14 UTC
submitted a spec file for review.

Comment 5 Alfredo Moralejo 2017-12-21 17:31:28 UTC
fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 81 files have unknown
     license. Detailed output of licensecheck in /tmp/openstack-octavia-
     ui/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-dashboard, /usr/share
     /openstack-dashboard/openstack_dashboard/local/enabled, /usr/share
     /openstack-dashboard/openstack_dashboard, /usr/share/openstack-
     dashboard/openstack_dashboard/local
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     dashboard, /usr/share/openstack-dashboard/openstack_dashboard/local,
     /usr/share/openstack-dashboard/openstack_dashboard, /usr/share
     /openstack-dashboard/openstack_dashboard/local/enabled
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     octavia-ui-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     1.0.0.0b3.dev5
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: openstack-octavia-ui-1.0.0-0.20171220192143.7e59442.el7.centos.noarch.rpm
          python-octavia-ui-doc-1.0.0-0.20171220192143.7e59442.el7.centos.noarch.rpm
          openstack-octavia-ui-1.0.0-0.20171220192143.7e59442.el7.centos.src.rpm
openstack-octavia-ui.noarch: E: no-changelogname-tag
openstack-octavia-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py 640
python-octavia-ui-doc.noarch: E: no-changelogname-tag
openstack-octavia-ui.src: E: no-changelogname-tag
openstack-octavia-ui.src: W: invalid-url Source0: octavia-dashboard-1.0.0.0b3.dev5-0.20171220192143.7e59442.tar.gz
3 packages and 0 specfiles checked; 4 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
openstack-octavia-ui.noarch: E: no-changelogname-tag
openstack-octavia-ui.noarch: W: invalid-url URL: https://storyboard.openstack.org/#!/project/909 <urlopen error [Errno -2] Name or service not known>
openstack-octavia-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py 0640L
python-octavia-ui-doc.noarch: E: no-changelogname-tag
python-octavia-ui-doc.noarch: W: invalid-url URL: https://storyboard.openstack.org/#!/project/909 <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 3 errors, 2 warnings.



Requires
--------
openstack-octavia-ui (rpmlib, GLIBC filtered):
    /bin/bash
    openstack-dashboard
    python(abi)
    python-babel
    python-barbicanclient
    python-keystoneclient
    python-openstacksdk
    python-oslo-log
    python-pbr
    python-six

python-octavia-ui-doc (rpmlib, GLIBC filtered):



Provides
--------
openstack-octavia-ui:
    openstack-octavia-ui

python-octavia-ui-doc:
    python-octavia-ui-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn openstack-octavia-ui-1.0.0-0.20171220192143.7e59442.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6



Some comments:

- unit tests are disabled by default. In the source repo there are not unit tests to execute, so it's ok to let it disabled at least until better testing is implemented.

- about rpmlint error no-changelogname-tag, this spec is prepared for DLRN which doesn't use changelog.

- about error non-readable for /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1482_project_load_balancer_panel.py , this file doesn't require to be readable for others so it's ok to keep it as-is. It's the same permissions used for other enabled files in horizon plugins.

Package is APPROVED

Comment 6 Javier Peña 2018-01-23 13:59:18 UTC
The package is already being build in RDO Trunk, closing bug.


Note You need to log in before you can comment on or make changes to this bug.